Subject: bug#56389: ruby-nokogiri may be non-deterministic

From: Wiktor Zelazny <[email-masked]>
Date: Fri, 7 Oct 2022 06:54:25 +0000

On Thu, Jul 07, 2022 at 01:06:06PM -0400, Maxim Cournoyer wrote:
>
> Wiktor Zelazny <[email-masked]> writes:
>
> > [email-masked] to be exact. Did not check @1.12.5. Guix version
> > 4d126e776239cc2e9b2e39718d0a1051f4a9bbc3.
>
> I checked, and only 1.10.9 is nondeterministic.  We should work toward
> eliminating 1.10.9.

Hi Maxim,

Sorry for responding so late.

The 1.10.9 comes with the TODO

   ;; TODO: In the next rebuild cycle, provide texlive a version of ruby-hydra
   ;; that does not depend on byebug and rspec, so that their dependencies can
   ;; be updated more freely.  For now pin this version to avoid rebuilds.

[email-masked] is an indirect input of ruby-hydra, which in turn
is an input of texlive-hyphen-package. So nothing can be done until the
“next texlive rebuild cycle”. How long are the cycles, and is the
current one coming to an end soon by a chance?

WŻ